org.apache.commons.jexl

## Interface JexlContext

All Known Implementing Classes:
  HashMapContext

    public interface JexlContext

Holds a Map of variables which are referenced in a JEXL expression.

Since:
  1.0
Version:
  $Id: JexlContext.java 480412 2006-11-29 05:11:23Z bayard $
Author:
  Geir Magnusson Jr.

### Method Summary

Methods
`java.util.Map` `getVars()` Retrives the Map of variables associated with this JexlContext.
`void` `setVars(java.util.Map vars)` Replaces variables in a JexlContext with the variables contained in the supplied Map.

### Method Detail

#### setVars

    void setVars(java.util.Map vars)

Replaces variables in a JexlContext with the variables contained in the supplied Map. When setVars() is called on a JexlContext, it clears the current Map and puts each entry of the supplied Map into the current variable Map.

Parameters:
  `vars` - Contents of vars will be replaced with the content of this Map

#### getVars

    java.util.Map getVars()

Retrives the Map of variables associated with this JexlContext. The keys of this map correspond to variable names referenced in a JEXL expression.

Returns:
  A reference to the variable Map associated with this JexlContext.